Index: palm/trunk/SOURCE/lpm_boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/lpm_boundary_conds.f90	(revision 1821)
+++ palm/trunk/SOURCE/lpm_boundary_conds.f90	(revision 1822)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Tails removed. Unused variables removed.
 ! 
 ! Former revisions:
@@ -75,5 +75,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  dz, message_string, particle_maximum_age, simulated_time
+        ONLY:  dz, message_string, particle_maximum_age
 
     USE cpulog,                                                                &
@@ -89,8 +89,7 @@
 
     USE particle_attributes,                                                   &
-        ONLY:  deleted_particles, deleted_tails, ibc_par_b, ibc_par_t,         &
-               number_of_particles, particles,                                 &
-               particle_tail_coordinates, particle_type, offset_ocean_nzt_m1,  &
-               tail_mask, use_particle_tails, use_sgs_for_particles
+        ONLY:  deleted_particles, ibc_par_b, ibc_par_t, number_of_particles,   &
+               particles, particle_type, offset_ocean_nzt_m1,                  &
+               use_sgs_for_particles
 
     USE pegrid
@@ -119,5 +118,4 @@
     INTEGER(iwp) ::  k5             !<
     INTEGER(iwp) ::  n              !<
-    INTEGER(iwp) ::  nn             !<
     INTEGER(iwp) ::  t_index        !<
     INTEGER(iwp) ::  t_index_number !<
@@ -150,6 +148,4 @@
        DO  n = 1, number_of_particles
 
-          nn = particles(n)%tail_id
-
 !
 !--       Stop if particles have moved further than the length of one 
@@ -171,8 +167,4 @@
              particles(n)%particle_mask  = .FALSE.
              deleted_particles = deleted_particles + 1
-             IF ( use_particle_tails  .AND.  nn /= 0 )  THEN
-                tail_mask(nn) = .FALSE.
-                deleted_tails = deleted_tails + 1
-             ENDIF
           ENDIF
 
@@ -183,8 +175,4 @@
                 particles(n)%particle_mask  = .FALSE.
                 deleted_particles = deleted_particles + 1
-                IF ( use_particle_tails  .AND.  nn /= 0 )  THEN
-                   tail_mask(nn) = .FALSE.
-                   deleted_tails = deleted_tails + 1
-                ENDIF
              ELSEIF ( ibc_par_t == 2 )  THEN
 !
@@ -196,8 +184,4 @@
                    particles(n)%rvar3 = -particles(n)%rvar3
                 ENDIF
-                IF ( use_particle_tails  .AND.  nn /= 0 )  THEN
-                   particle_tail_coordinates(1,3,nn) = 2.0_wp * zu(nz) - &
-                                               particle_tail_coordinates(1,3,nn)
-                ENDIF
              ENDIF
           ENDIF
@@ -209,8 +193,4 @@
                 particles(n)%particle_mask  = .FALSE.
                 deleted_particles = deleted_particles + 1
-                IF ( use_particle_tails  .AND.  nn /= 0 )  THEN
-                   tail_mask(nn) = .FALSE.
-                   deleted_tails = deleted_tails + 1
-                ENDIF
              ELSEIF ( ibc_par_b == 2 )  THEN
 !
@@ -221,12 +201,4 @@
                      particles(n)%rvar3 < 0.0_wp )  THEN
                    particles(n)%rvar3 = -particles(n)%rvar3
-                ENDIF
-                IF ( use_particle_tails  .AND.  nn /= 0 )  THEN
-                   particle_tail_coordinates(1,3,nn) = 2.0_wp * zu(nz) - &
-                                               particle_tail_coordinates(1,3,nn)
-                ENDIF
-                IF ( use_particle_tails  .AND.  nn /= 0 )  THEN
-                   particle_tail_coordinates(1,3,nn) = 2.0_wp * zw(0) - &
-                                               particle_tail_coordinates(1,3,nn)
                 ENDIF
              ENDIF
Index: palm/trunk/SOURCE/lpm_calc_liquid_water_content.f90
===================================================================
--- palm/trunk/SOURCE/lpm_calc_liquid_water_content.f90	(revision 1821)
+++ palm/trunk/SOURCE/lpm_calc_liquid_water_content.f90	(revision 1822)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Unused variables removed.
 ! 
 ! Former revisions:
@@ -85,5 +85,4 @@
     INTEGER(iwp) ::  k   !<
     INTEGER(iwp) ::  n   !<
-    INTEGER(iwp) ::  psi !<
 
     CALL cpu_log( log_point_s(45), 'lpm_calc_ql', 'start' )
